zenilib: SDLTest_SurfaceImage_s Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDLTest_SurfaceImage_s Struct Reference

`#include <SDL_test_images.h>`

## Public Attributes

unsigned int | bytes_per_pixel
int | height
const char * | pixel_data
int | width

## Detailed Description

Type for test images.

Definition at line 50 of file SDL_test_images.h.

## Member Data Documentation

unsigned int SDLTest_SurfaceImage_s::bytes_per_pixel

Definition at line 53 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

int SDLTest_SurfaceImage_s::height

Definition at line 52 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

const char* SDLTest_SurfaceImage_s::pixel_data

Definition at line 54 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

int SDLTest_SurfaceImage_s::width

Definition at line 51 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_test_images.h